

.button-fill {
    background-color: #F85628;
    border-radius: 6.25rem;
    color: var(--gray-0);
    font-family: "Onest", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 500;
    font-size: 1rem;
    padding: .75rem 1rem;
    display: flex;
    gap: .5rem;
    justify-content: center;
    align-items: center;
    border: none;
    cursor: pointer;
    width: 100%;
    height: 2.75rem;
    flex-grow: 1;
    transition: 0.4s ease;

    &:disabled {
        opacity: 0.3;
        pointer-events: none;
    }

    &:hover {
        background-color: #C7360D;
    }

    &.icon {
        max-width: fit-content;
        height: 100%;
        aspect-ratio: 1/1;
        padding: .625rem;
    }
}

.button-outline {
    background-color: var(--gray-0);
    border-radius: 6.25rem;
    color: #F85628;
    font-family: "Onest", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 500;
    font-size: 1rem;
    padding: calc(.75rem - .0625rem) 1rem;
    display: flex;
    gap: .5rem;
    justify-content: center;
    align-items: center;
    border: .0625rem solid var(--gray-25);
    cursor: pointer;
    width: 100%;
    height: 2.75rem;
    flex-grow: 1;
    transition-property: border, color;
    transition-duration: .2s;
    transition-timing-function: ease-in-out;

    &:hover {
        border: .0625rem solid #C7360D;
        color: #C7360D;
    }

    &:disabled {
        opacity: 0.5;
        pointer-events: none;
    }

    &.icon {
        width: 2.75rem;
        height: 2.75rem;
        aspect-ratio: 1/1;
        padding: .625rem;
        flex-grow: 0;
    }
}




.exercises-option {
    max-width: 77.875rem;
    margin: 0 auto;
    box-sizing: content-box;

    .header:not(.exercise-header) {
        display: flex;
        align-items: end;
        justify-content: space-between;
        margin-bottom: 1.5rem;
        gap: 1rem;

        .title {
            font-size: 2rem;
            font-weight: 700;
            color: #2A1C14;
            font-family: "Source Serif 4", serif;
            min-width: 0;
        }

        .top-bar {
            max-width: 31.875rem;
            width: 100%;
            height: 5.75rem;
            flex-grow: 1;
            display: flex;
            align-items: center;
            justify-content: space-between;
            flex-direction: row;
            gap: 1.5rem;

            .button-prev {
                color: #919292;
                padding: .875rem;

                &:hover {
                    color: #C7360D;
                }
            }

            .box {
                display: flex;
                align-items: center;
                gap: 1.625rem;

                .counter {
                    color: #000000;
                    font-size: 1.125rem;
                    font-weight: 600;
                    white-space: nowrap;

                    .current {
                        color: #F85628;
                    }
                }

                .button-check {
                    width: 10.6875rem;
                    flex-grow: 0;
                }

                .button-repeat {
                    display: none;
                    max-width: 9.125rem;
                    width: 100%;
                    flex-grow: 1;
                }

                .button-next {
                    display: none;
                    flex-grow: 1;
                    width: 100%;
                    max-width: 15rem;
                }
            }
        }
    }

    .exercises-explanation {
        background-color: var(--gray-15);
        border-radius: 1.5rem;
        padding: .75rem 1.5rem;
        margin-bottom: 1.5rem;
        font-size: .875rem;
        font-weight: 400;

        .explanation {
            color: var(--gray-600);

            &:not(:last-child) {
                margin-bottom: .5rem;
            }
        }

        .statistics {
            color: #F85628;
        }
    }

    .task-wrapper {
        display: flex;
        gap: 1rem;

        .answer {
            max-width: 100%;
            flex-grow: 1;
            height: 36.25rem;
            padding: 0;
            overflow: hidden;
            padding: 2rem 1.5rem 2rem 1.5rem;
            position: relative;

            &::after {
                content: "";
                position: absolute;
                bottom: 0;
                left: 0;
                width: calc(100% - .875rem);
                height: 100%;
                pointer-events: none;
                box-shadow: inset 0rem -5rem 1.6875rem -2rem #fff;
            }

            .scroll-container {
                height: 100%;
                overflow: auto;
                padding: 0 .5rem;

                &::-webkit-scrollbar {
                    width: .25rem;
                    background-color: transparent;
                    border-radius: .1875rem;
                }

                &::-webkit-scrollbar-thumb {
                    width: .25rem;
                    background-color: var(--gray-100);
                    border-radius: .1875rem;
                }

                .questions {
                    display: flex;
                    flex-direction: column;
                    height: fit-content;
                    flex-shrink: 0;
                    gap: 1.5rem;

                    .question-wrapper {
                        .speech-bubble {
                            padding: 1.5rem;
                            border-radius: 1rem;
                            background-color: var(--gray-25);
                            margin-bottom: 1.8125rem;
                            position: relative;

                            &::after {
                                content: "";
                                position: absolute;
                                bottom: -1.5rem;
                                left: 2rem;
                                border-left: .75rem solid transparent;
                                border-right: .75rem solid transparent;
                                border-top: 1.5rem solid var(--gray-25);
                            }

                            .speech-bubble-title {
                                font-size: 1.25rem;
                                font-weight: 600;
                                color: #000000;
                            }

                            .speech-bubble-text {
                                font-size: 1.25rem;
                                font-weight: 400;
                                color: #000000;
                            }
                        }

                        .question {
                            display: flex;
                            gap: .5rem;

                            .question-number {
                                background-color: #F85628;
                                border-radius: .875rem;
                                width: 1.75rem;
                                height: 1.75rem;
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                color: #FFFFFF;
                                font-size: .875rem;
                                font-weight: 500;
                                flex-shrink: 0;
                            }

                            .question-content {
                                .question-title {
                                    color: #000000;
                                    font-size: 1.125rem;
                                    font-weight: 500;
                                    margin-bottom: .5rem;
                                }

                                .radio-list {
                                    display: flex;
                                    flex-direction: column;
                                    gap: .25rem;
                                }
                            }
                        }

                        .explanation {
                            display: none;

                            .collapsible-content {
                                transition: none;

                                p {
                                    color: #F85628;
                                    font-size: .875rem;
                                    font-weight: 400;
                                    margin-top: 1rem;
                                    margin-bottom: 1.5rem;
                                }

                                pre {
                                    font-family: var(--font-onest);
                                    font-weight: 400;
                                    font-size: .875rem;
                                    white-space: pre-wrap;
                                    word-break: break-all;
                                    color: #000000;
                                }
                            }
                        }
                    }
                }
            }
        }    }}

.result {
    .header:not(.exercise-header) {
        .top-bar {
            .box {
                width: 100%;
                gap: .5rem;

                .counter {
                    display: none;
                }

                .button-check {
                    display: none;
                }

                .button-repeat {
                    display: flex;
                }

                .button-next {
                    display: flex;
                }
            }
        }
    }

    .task-wrapper {
        .answer {
            position: relative;

            .correct-answers {
                display: block;

            }

            .scroll-container {
                .questions {
                    .question-wrapper {
                        .question {
                            margin-bottom: .5rem;
                        }

                        .explanation {
                            display: block;
                        }
                    }
                }
            }
        }
    }}

.exercises-option.option-5--expanded-answer {
    .task-wrapper {
        .answer {
            height: auto;
            max-height: none;
            overflow: visible;

            &::after {
                display: none;
            }

            .scroll-container {
                height: auto;
                max-height: none;
                overflow: visible;
            }
        }
    }
}

@media (max-width: 64rem) {
    .exercises-option {
        .task-wrapper {
            flex-direction: column;
            align-items: center;
            gap: 1.5rem;

            .paper {
                border: none;
                padding: 0;
            }

            .answer {
                max-width: 100%;
                height: fit-content;
                width: 100%;
                border-radius: 0;

                &::after {
                    display: none;
                }

                .scroll-container {
                    overflow: visible;
                    padding: 0;

                    .questions {
                        padding: 0;
                        gap: 1rem;

                        .question-wrapper {

                            &:last-child {
                                border-bottom: none;
                                padding-bottom: .25rem;
                            }

                            .speech-bubble {
                                padding: 1rem;

                                .speech-bubble-title {
                                    font-size: 1rem;
                                }

                                .speech-bubble-text {
                                    font-size: 1.125rem;
                                }
                            }
                        }
                    }
                }
            }        }
    }

    .result {
        .task-wrapper {
            gap: 1rem;

            .answer {
                .scroll-container {
                    .questions {
                        .question-wrapper {
                            .question {
                                margin-bottom: .3125rem;
                            }
                        }
                    }
                }
            }

            .button-to-transcription {
                display: flex;
                margin-top: .5rem;
            }
        }
    }
}

@media (max-width: 48rem) {
    .exercises-option {
    .header:not(.exercise-header) {
            flex-direction: column-reverse;
            align-items: start;
            margin-bottom: 2rem;

            .title {
                font-family: "Onest", sans-serif;
                font-size: 1.5rem;
                font-weight: 600;
            }

            .top-bar {
                justify-content: start;
                border: none;
                padding: 0;
                gap: 1rem;
                height: fit-content;

                .box {
                    .counter {
                        font-size: 1rem;
                    }

                    .button-check {
                        display: none;
                    }
                }
            }
        }

        .exercises-explanation {
            padding: .75rem;
            margin-bottom: 2rem;
            border-radius: .75rem;
        }
    }

    .result {
    .header:not(.exercise-header) {
            .top-bar {
                .box {
                    .counter {
                        display: block;
                    }

                    .button-repeat {
                        display: none;
                    }

                    .button-next {
                        display: none;
                    }
                }
            }
        }

    }
}
